Bug 223 - programs/{fc-cache,fc-lang,fc-list}
Summary: programs/{fc-cache,fc-lang,fc-list}
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: * Other (show other bugs)
Version: unspecified
Hardware: All All
: highest blocker
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-02-25 09:59 UTC by Jim Gettys
Modified: 2011-10-15 15:48 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Gettys 2004-02-25 09:59:54 UTC
I believe these are all part of the fontconfig package; the versions
in the tree should be removed in favor of the upstream fontconfig package.

This dependency needs release noting, and be fontconfig's installation
is required before a build of X.

Might be nice if imake warned you if it weren't present in some more
graceful way than failing when fc-cache gets run in the install 
section.
Comment 1 Mike A. Harris 2004-03-05 01:17:16 UTC
If these apps are removed, then the included fontconfig library should likely
also be removed.  Reason being, that if someone requires the fontconfig library,
they will likely also require the apps, and if they have to acquire the apps
externally, then they might as well acquire the library externally at the same
time.

If we do keep fontconfig in tree, shouldn't it be updated also?
Comment 2 Jim Gettys 2004-03-05 06:32:49 UTC
Yes, fontconfig, and these programs should all be removed, with an
explicit dependency on fontconfig stated for the distribution.
Comment 3 Egbert Eich 2004-03-09 11:08:12 UTC
I can set HasFontconfig to NO on Linux and possibly other OSes.
Currently this is done only on SCO.

Would that help?
Comment 4 Jim Gettys 2004-03-09 11:13:10 UTC
I think the right solution is just to require fontconfig to be installed
before building X, and remove all remains of fontconfig entirely.

Porting fontconfig should be simple for anyone who needs it and doesn't have it
already, which, as you note, is probably at most SCO at this point.  There
is no particular portability challenges posed by fontconfig; it should just
build and run almost anywhere (at least on a Posix style system).
Comment 5 Egbert Eich 2004-03-10 01:06:43 UTC
Please note that fontconfig 2.2.0 doesn't build with freetype 2.1.7.
You need an 
#include <ft2build.h> 
in fcfreetype.c and fcfreetype.h. I've notified Keith about this yesterday.
Therefore maybe Keith wants to make a 2.2.1 release of fontconfig where this issue
is fixed before we remove anything.
I will disable the build of fontconfig for now.
Comment 6 Egbert Eich 2004-03-11 07:21:37 UTC
updated to fontconfig 2.2.2. This automatically updates those, too.
They will not be built when fontconfig is not enabled for building.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.